Page MenuHomePhabricator

Review and update API client library lists on: https://www.mediawiki.org/wiki/API:Client_code
Closed, ResolvedPublic

Description

https://www.mediawiki.org/wiki/API:Client_code is among one of the most frequently visited pages in the API namespace on MediaWiki. The page contains an extensive listing of API client libraries. The page needs a complete review and update.

Recommendations:

  • Review the lists of client libraries, and remove any that are no longer up-to-date
  • Reduce the number of client libraries listed on this page. This may be controversial. Consider reducing the number of libraries listed per language, and/or point readers to a recommended library. This will reduce the amount of time visitors spend looking for appropriate information, ensure they are using a library that has been reviewed/recommended, and make it easier to review and update this page later. Additional options could be to reformat the page so that recommended libraries appear at the top of each section, or a link to additional options is provided for each section and leads to an overflow page.
  • Reformat each of the lists of client libraries as tables. Currently, the format of these is not consistent, making it hard to read.
  • Additional content. I wrote a couple of sentences about what client libraries are and what they do. This may be enough contextualizing information. There are some notes at the bottom of this page about making API calls, which I updated slightly. However, I don't think this section is really needed because the page is mostly reference. Consider removing that section and subsections.

Event Timeline

srodlund triaged this task as Normal priority.Sep 19 2018, 5:51 PM
srodlund created this task.
srodlund created this object with edit policy "Custom Policy".
Anomie moved this task from Unsorted to Non-Code on the MediaWiki-API board.Sep 20 2018, 2:01 PM

and/or point readers to a recommended library

The difficulty there is in choosing which library to recommend, in a generally objective manner.

Quiddity changed the edit policy from "Custom Policy" to "All Users".Sep 20 2018, 5:52 PM

@Fhocutt created https://www.mediawiki.org/wiki/API:Client_code/Gold_standard but I don't think anyone has worked on it or done more evaluations since then.

srodlund added a comment.EditedSep 20 2018, 10:56 PM

Yeah, choosing just one to recommend could be difficult. It would be useful to evaluate them against the gold standard.

@srishakatux Do you think this would be something that we could craft into a microtask for Outreachy?

@srodlund Sounds good! Feel free to create a microtask around it, I just added one T205199

srodlund updated the task description. (Show Details)Mar 19 2019, 3:41 AM

Changes made to API:Client_code:

  • Removed libraries that are no-longer-existent.
  • Reformatted the page to use tables throughout.
  • Evaluated the libraries and reduced the number of libraries to up-to 3 recommended libraries, moving the rest to API:Client_code/All, and linked each section that had more than 3 libraries to the corresponding section in API:Client_code/All.
  • Updated the descriptions of some libraries to use the official description of their repositories.
  • Removed the "Making API calls" section.

Thanks @jeropbrenda! Nice work on this :)

srishakatux closed this task as Resolved.Jul 10 2019, 2:01 AM